function download(e) {
  if ( ! deploy() )
    alert("NoteTaker 0.9 requires Classic Mozilla 1.4");
  e.preventDefault();
}

function is_moz_browser() {
  return (
    window.navigator &&
    window.navigator.userAgent &&
    window.navigator.userAgent.search(/^Mozilla\/5\.0/) != -1
  );
}

function is_target() {
  var agent = window.navigator.userAgent;
  return (
    agent.search(/rv:1\.4/) != -1 &&  // matches
    agent.search(/Phoenix/) == -1 &&  // no match
    agent.search(/Firebird/) == -1    // no match
  );
}

function is_app_version_ok() {
  return (
    window.InstallTrigger.compareVersion(
      "Nigel McFarlane/NoteTaker",
      "0.9.0.0"
    ) > window.InstallVersion.REL_DIFF_MINUS
  );
}

function deploy()
{
  if ( !is_moz_browser() ) { return false; }
  if ( !window.InstallTrigger.enabled() ) { return false; }
  if ( !is_target() ) { return false; }
  if ( !is_app_version_ok() ) { return false; }

  var xpi_container =
    { "NoteTaker Web Notes" : "notetake.xpi" };

  with (window.InstallTrigger)
    install(xpi_container, null);
  return true;
}

